﻿/**Begin D:\PDM_UPGRADE\PDM1\PMD_constraint.sql **/
 EXEC P_ALTERPK 'PK_PMD_OBJECTIVE', 'T_PMD_OBJECTIVE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMD_OBJECTIVE_DORG') CREATE INDEX IDX_PMD_OBJECTIVE_DORG ON T_PMD_OBJECTIVE ( FDUTYORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMD_OBJECTIVE_DPERSON') CREATE INDEX IDX_PMD_OBJECTIVE_DPERSON ON T_PMD_OBJECTIVE ( FDUTYPERSONID );


 EXEC P_ALTERPK 'PK_PMD_OBJECTKEYRESULT', 'T_PMD_OBJECTKEYRESULT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMD_OBJECTKEYRESULT_OBJ') CREATE INDEX IDX_PMD_OBJECTKEYRESULT_OBJ ON T_PMD_OBJECTKEYRESULT ( FID );


 EXEC P_ALTERPK 'PK_PMD_OBJECTIVE_L', 'T_PMD_OBJECTIVE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMD_OBJECTIVE_L') CREATE INDEX IDX_PMD_OBJECTIVE_L ON T_PMD_OBJECTIVE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PMD_OBJECTKEYRESULT_L', 'T_PMD_OBJECTKEYRESULT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMD_OBJECTKEYRESULT_L') CREATE INDEX IDX_PMD_OBJECTKEYRESULT_L ON T_PMD_OBJECTKEYRESULT_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PMD_OBJECTEVALUATION', 'T_PMD_OBJECTEVALUATION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMD_OBJECTEVALUATION_OBJ') CREATE INDEX IDX_PMD_OBJECTEVALUATION_OBJ ON T_PMD_OBJECTEVALUATION ( FOBJECTIVEID );


 EXEC P_ALTERPK 'PK_PMD_OBJECTEVALUATION_L', 'T_PMD_OBJECTEVALUATION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMD_OBJECTEVALUATION_L') CREATE INDEX IDX_PMD_OBJECTEVALUATION_L ON T_PMD_OBJECTEVALUATION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PMD_OBJECTCOMMENT', 'T_PMD_OBJECTCOMMENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMD_OBJECTCOMMENT_OBJ') CREATE INDEX IDX_PMD_OBJECTCOMMENT_OBJ ON T_PMD_OBJECTCOMMENT ( FOBJECTIVEID );


 EXEC P_ALTERPK 'PK_PMD_OBJECTCOMMENT_L', 'T_PMD_OBJECTCOMMENT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMD_OBJECTCOMMENT_L') CREATE INDEX IDX_PMD_OBJECTCOMMENT_L ON T_PMD_OBJECTCOMMENT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PMD_OBJECTTASK', 'T_PMD_OBJECTTASK', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMD_OBJECTTASK_FID') CREATE INDEX IDX_PMD_OBJECTTASK_FID ON T_PMD_OBJECTTASK ( FID );


 EXEC P_ALTERPK 'PK_PMD_OBJECTTASK_L', 'T_PMD_OBJECTTASK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMD_OBJECTTASK_L') CREATE INDEX IDX_PMD_OBJECTTASK_L ON T_PMD_OBJECTTASK_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PMD_OBJCOOPORG', 'T_PMD_OBJCOOPORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMD_OBJCOOPORG') CREATE INDEX IDX_PMD_OBJCOOPORG ON T_PMD_OBJCOOPORG ( FID );


 EXEC P_ALTERPK 'PK_PMD_OBJCOOPPERSON', 'T_PMD_OBJCOOPPERSON', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMD_OBJCOOPPERSON') CREATE INDEX IDX_PMD_OBJCOOPPERSON ON T_PMD_OBJCOOPPERSON ( FID );


 EXEC P_ALTERPK 'PK_PMD_POTMEMBER', 'T_PMD_POTMEMBER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMD_POTMEMBER_USER') CREATE INDEX IDX_PMD_POTMEMBER_USER ON T_PMD_POTMEMBER ( FPERSONID );


 EXEC P_ALTERPK 'PK_PMD_PROJECTORGTEAM', 'T_PMD_PROJECTORGTEAM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMD_PROJECTORGTEAM_LEADER') CREATE INDEX IDX_PMD_PROJECTORGTEAM_LEADER ON T_PMD_PROJECTORGTEAM ( FTEAMLEADERID );



/**End D:\PDM_UPGRADE\PDM1\PMD_constraint.sql **/
